Get Organization (By ID)

Request

GET

https://api.sourcecraft.tech/orgs/id:{org_id}

Path parameters

Name

Description

org_id

Type: string

Example: ``

Responses

200 OK

A successful response.

Body

application/json
{
  "id": "example",
  "slug": "example",
  "display_name": "example",
  "visibility": "public",
  "logo": {
    "url": "example"
  },
  "web_url": "example"
}

Name

Description

display_name

Type: string

Example: example

id

Type: string

Example: example

logo

Type: Image

Example
{
  "url": "example"
}

slug

Type: string

Example: example

visibility

Type: Organization.Visibility

Enum: public, internal, private

web_url

Type: string

Example: example

Organization.Visibility

Type: string

Enum: public, internal, private

Image

Name

Description

url

Type: string

Example: example

Example
{
  "url": "example"
}

default

Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme

Body

application/json
{
  "error_code": "example",
  "message": "example",
  "request_id": "example",
  "details": {}
}

Name

Description

details

Type: Optional details. Exact structure depends on error_code

[additional]

Type: string

Example: example

Example
{}

error_code

Type: string

Example: example

message

Type: string

Example: example

request_id

Type: string

Example: example